Probleme Clavier, upgrade sur nouvelle install


#1

Salut tout le monde,

J’ai 2 questions à poser:

-Je possède un clavier Microsoft Wireless (sans fil), et quand j’écris sous ma Debian, j’ai des message du type:

unknow scancode e0 59

Je comprend que ca viens des caractères unicodes non reconnus par le système, mais comment résoudre ce problème?!
J’ai bien un autre clavier, mais le sans fil est plus facil d’utilisation :slightly_smiling:.

-Voulant me perfectionner sur le système Debian, j’ai acheté le magnifique livre de Raphael Hertzog, Cahier de l’admin, DEBIAN de chez Eyrolles.
Après avoir un peu lu le book, j’ai voulu install le cd fourni avec (Sarge 3.1rc3).
Après une installation réussi, j’ai voulu fait un apt-get upgrade mais là il m’affiche un message d’erreur:

Cette installation va temporairement necessiter lenlevement du paquet essentiel e2fsprogs en raison d'une boucle entre les champs Conflicts et Pre-Depends. C'est souvent une mauvaise chose, mais si vous souhaitez reellement le faire, activer l'option APT::Force-LoopBreak.
E: Internal Error, Could not early remove e2fsprogs

Je n’avais jamais vu ce message sur mes anciennes install…

Voilà, si vous pouvez m’éclaircir sur ces 2 points…

Aussi, lors de l’install, j’ai voulu install different serveur (apache, ftp…) et lors du telechargement des derniers packets, j’ai eu une coupure internet, a la fin de l’install, un message m’a dit qu’un packet n’avai pas pu etre dl et quil pourrai y avoir des erreurs.
Le probleme c’est que le nom de ce packet n’a pas été specifié :/…
Donc je sait pas trop comment faire. Au pire je peux toujours reinstaller vite fait, mais ca c’est le plan B.

Merci de me lire et de m’aider :slightly_smiling:.


#2

Voilà pourquoi aptitude est “FANTASTIQUEMENTGÉNIAL”. Il suffit d’aller dans /var/log/aptitude pour retrouver tt ce qu’on a fait.

Est-ce qu’il n’y a pas des logs pour apt ? Je n’ai rien vu mais peut-être des logs non spécifiques à apt…


#3

c’est vrai que je découvre aptitude en ce moment, et que finalement, c’est pas mal…
essayes un ‘aptitude update’ puis dist-upgrade.


#4

Dans la nouvelle version, il y a un ‘solveur’ pour résoudre les cas difficiles. Pas encore eu l’occasion de tester.


#5

le ‘dist-upgrade’ te donne effectivement plusieurs propositions de mises à jour, que yu peux ajuster à toutes les étapes en répondant ‘+’, ‘-’, ‘_’, ‘=’ et autres, qui te permette à la volée d’ajouter, d’enlever, de verrouiller des paquets pas prévus dans la solution.
Même quand il ne propose que O/n comme réponse, ça marche.
J’y prend des gestes aussi rapides qu’avec dselect… :slightly_smiling:


#6

Merci pour toutes ces reponses que j’approfondirai plus tard. Pour le clavier, des conseils?!


#7

Désolé mais pour les pb de clavier, je mets tjs des heures voire des jours à les régler (qd j’ai la machine ss la main)

Le seul conseil que je peux te donner, c’est d’explorer chaque piste (via la doc du système, internet) car dans mon cas, j’ai tjs fini par régler les choses :wink:

Mais d’autres ont peut-être la solution…